Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.adk.queue
Class IfsQueueMessage

    java.lang.Object
      oracle.ifs.adk.queue.IfsQueueMessage

All Implemented Interfaces:
  oracle.jdbc.internal.ObjectData, oracle.jdbc.internal.ObjectDataFactory, oracle.sql.ORAData, oracle.sql.ORADataFactory

    public class IfsQueueMessage

extends java.lang.Object
implements oracle.sql.ORADataFactory, oracle.sql.ORAData

IfsQueueMessage class is the java representation for payloads on the queues IFS_IN and IFS_OUT. This class is used to build, enqueue, dequeue and process messages from java.

(Published)

Field Summary
`java.lang.Object[]` | `m_ParameterList` This holds on to the parameters of the message.

Constructor Summary
`IfsQueueMessage()` Default constructor.
`IfsQueueMessage(java.lang.String type, java.lang.Object[] list)` Constructor that takes parameters.

Method Summary
`oracle.sql.ORAData` | `create(oracle.sql.Datum d, int sqlType)` Implements the create method of ORADataFactory interface.
`static oracle.sql.ORADataFactory` | `getFactory()` This implements the ORADataFactory interface.
`java.util.Hashtable` | `getHashtableOfParameters()` Returns hashtable of parameters in the message.
`java.lang.String` | `getMessageType()` Get the message type of the message.
`java.lang.Object[]` | `getParameterList()` Returns the list of parameters for the message.
`void` | `setMessageType(java.lang.String messageType)` Sets the message type.
`void` | `setParameterList(java.lang.Object[] list)` Sets the parameter list on the message.
`oracle.sql.Datum` | `toDatum(java.sql.Connection connection)` Implements the toDatum method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ParameterList

    public java.lang.Object[] m_ParameterList

  Description copied from class: `IfsQueueMessage`
  This holds on to the parameters of the message.

  (Unpublished)

Constructor Detail

### IfsQueueMessage

    public IfsQueueMessage()

  Default constructor.

  (Published)

### IfsQueueMessage

    public IfsQueueMessage(java.lang.String type,
                           java.lang.Object[] list)

  Constructor that takes parameters.

  Parameters:
    `type` - type of the message
    `list` - parameter list of the message
  Throws:
    `IfsException` - if the construction fails
  (Published)

Method Detail

### getFactory

    public static oracle.sql.ORADataFactory getFactory()

  Description copied from class: `IfsQueueMessage`
  This implements the ORADataFactory interface.

  (Published)

### toDatum

    public oracle.sql.Datum toDatum(java.sql.Connection connection)
                             throws java.sql.SQLException

  Description copied from class: `IfsQueueMessage`
  Implements the toDatum method.

  Specified by:
    `toDatum` in interface `oracle.sql.ORAData`
  Parameters:
    `connection` - handle to the database connection
  Returns:
    Datum
  Throws:
    `java.sql.SQLException` - if the operation fails
  (Published)

### create

    public oracle.sql.ORAData create(oracle.sql.Datum d,
                                     int sqlType)
                              throws java.sql.SQLException

  Description copied from class: `IfsQueueMessage`
  Implements the create method of ORADataFactory interface.

  Specified by:
    `create` in interface `oracle.sql.ORADataFactory`
  Parameters:
    `d` - datum
    `sqlType` - sql type
  Returns:
    ORAData
  Throws:
    `java.sql.SQLException` - if the operation fails
  (Published)

### getMessageType

    public java.lang.String getMessageType()
                                    throws IfsException

  Description copied from class: `IfsQueueMessage`
  Get the message type of the message.

  Returns:
    message type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMessageType

    public void setMessageType(java.lang.String messageType)
                        throws IfsException

  Description copied from class: `IfsQueueMessage`
  Sets the message type.

  Parameters:
    `messageType` - type of the message
  Throws:
    `IfsException`
  (Published)

### getParameterList

    public java.lang.Object[] getParameterList()
                                        throws IfsException

  Description copied from class: `IfsQueueMessage`
  Returns the list of parameters for the message.

  Returns:
    array of objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setParameterList

    public void setParameterList(java.lang.Object[] list)
                          throws IfsException

  Description copied from class: `IfsQueueMessage`
  Sets the parameter list on the message.

  Parameters:
    `list` - array of parameter objects
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getHashtableOfParameters

    public java.util.Hashtable getHashtableOfParameters()
                                                 throws IfsException

  Description copied from class: `IfsQueueMessage`
  Returns hashtable of parameters in the message.

  Returns:
    Hashtable of parameters
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD